%def_with _octave_arch
%define octave_pkg_version 1.0.8
%define octave_pkg_name xraylib
%define octave_descr_name Xraylib
Name: octave-%octave_pkg_name
Version: 1.0.8
Release: alt2.0.M60T.1
Summary: GNU Scientific Library

Group: Sciences/Mathematics
License: GPL version 2
URL: http://ftp.esrf.fr/pub/scisoft/xraylib/

Source0: %octave_pkg_name-%version.tar.gz

BuildRequires: octave-devel
%if_with _octave_arch
BuildRequires: gcc-c++ libfftw3-devel libhdf5-devel liblapack-devel libncurses-devel libreadline-devel octave-devel
%else
BuildArch: noarch
%endif
Provides: octave(xraylib) = %version


%description
Octave-Forge - Extra packages for GNU Octave.
This package contains the %octave_descr_name GNU Octave extension.

Extension Description:
Bindings to the Xraylib functions

%prep
%setup -n %octave_pkg_name-%version

%build
octave -q -H --no-site-file --eval "pkg build -nodeps . %SOURCE0"

%install
mkdir -p %buildroot%_datadir/octave/packages
mkdir -p %buildroot%_libdir/octave/packages
octave -q -H --no-site-file --eval "pkg prefix %buildroot%_datadir/octave/packages %buildroot%_libdir/octave/packages; pkg install -local -nodeps %octave_pkg_name-%octave_pkg_version.tar.gz"

%files
%_datadir/octave/packages/%octave_pkg_name-%octave_pkg_version
%if_with _octave_arch
%_libdir/octave/packages/%octave_pkg_name-%octave_pkg_version
%endif

%changelog
* Sun Aug 23 2015 Cronport Service <cronport@altlinux.org> 1.0.8-alt2.0.M60T.1
- backport

* Wed Jan 22 2014 Cronport Service <cronport@altlinux.org> 1.0.8-alt1.M60T.1
- backport

* Wed Oct 16 2013 Cronport Service <cronport@altlinux.org> 1.0.8-alt0.M60T.1
- backport

* Mon Nov 28 2011 Igor Vlasenko <viy@altlinux.ru> 1.0.8-alt1
- initial import by octave-package-builder

